Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QMovie.CacheMode

    java.lang.Object
      java.lang.Enum<QMovie.CacheMode>
          com.trolltech.qt.gui.QMovie.CacheMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QMovie.CacheMode>

Enclosing class:
  QMovie

    public static enum QMovie.CacheMode

extends java.lang.Enum<QMovie.CacheMode>
implements QtEnumerator

This enum describes the different cache modes of `QMovie`.

Enum Constant Summary
`CacheAll` All frames are cached.
`CacheNone` No frames are cached (the default).

Method Summary
`static QMovie.CacheMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QMovie.CacheMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QMovie.CacheMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CacheNone

    public static final QMovie.CacheMode CacheNone

  No frames are cached (the default).

### CacheAll

    public static final QMovie.CacheMode CacheAll

  All frames are cached.

Method Detail

### values

    public static final QMovie.CacheMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QMovie.CacheMode c : QMovie.CacheMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QMovie.CacheMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QMovie.CacheMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD